package com.ruoyi.shipping.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 凯和箱明细对象 t_warehousebills_cntritems
 * 
 * @author ruoyi
 * @date 2021-04-08
 */
public class TWarehousebillsCntritems extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 凯和订单从表主键 */
    /*@Excel(name = "凯和订单从表主键")*/
    private Long fPid;

    /** 箱号 */
    @Excel(name = "箱号")
    private String fCntrno;

    /** 封号 */
    @Excel(name = "封号")
    private String fSealno;

    /** 取品名表的id */
    /*@Excel(name = "取品名表的id")*/
    private Long fGoodsid;

    /** 包装(取数据字典) */
    /*@Excel(name = "包装(取数据字典)")*/
    private String fPackageid;

    /** 箱型(t_cntr 集装箱id) */
    /*@Excel(name = "箱型(t_cntr 集装箱id)")*/
    private Long fCntrid;

    /** 箱数 */
    /*@Excel(name = "箱数")*/
    private Long fCntrcount;

    /** 单箱重(吨不能超过40) */
    @Excel(name = "单箱重")
    private BigDecimal fCntrweight;

    /** 箱状态 */
    /*@Excel(name = "箱状态")*/
    private String fCntrstatus;

    /** 是否自备箱 */
    /*@Excel(name = "是否自备箱")*/
    private String fSoc;

    /** 温度 */
    /*@Excel(name = "温度")*/
    private String fTemperature;

    /** 风门开度(%) */
    /*@Excel(name = "风门开度(%)")*/
    private String fDraught;

    /** 湿度设置(%) */
    /*@Excel(name = "湿度设置(%)")*/
    private String fHumidity;

    /** 是否预冷(冻柜显示) */
    /*@Excel(name = "是否预冷(冻柜显示)")*/
    private String fPrecooling;

    /** 预计提箱日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    /*@Excel(name = "预计提箱日期", width = 30, dateFormat = "yyyy-MM-dd")*/
    private Date fPlantakecntr;

    /** 是否危险品 */
    /*@Excel(name = "是否危险品")*/
    private String fIfdanger;
    //货物名称
    @Excel(name = "货名")
    private String goodsName;
    //包装中文名
    @Excel(name = "包装类型")
    private String packageName;
    //集装箱编号
    @Excel(name = "箱型")
    private String cntrName;
    //是否预冷
    private String precoolingName;
    //是否危险品
    private String ifdangerName;
    /*@Excel(name = "是否人工")*/
    private Long fManual;

    public Long getfManual() {
        return fManual;
    }

    public void setfManual(Long fManual) {
        this.fManual = fManual;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getCntrName() {
        return cntrName;
    }

    public void setCntrName(String cntrName) {
        this.cntrName = cntrName;
    }

    public String getPrecoolingName() {
        return precoolingName;
    }

    public void setPrecoolingName(String precoolingName) {
        this.precoolingName = precoolingName;
    }

    public String getIfdangerName() {
        return ifdangerName;
    }

    public void setIfdangerName(String ifdangerName) {
        this.ifdangerName = ifdangerName;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfCntrno(String fCntrno) 
    {
        this.fCntrno = fCntrno;
    }

    public String getfCntrno() 
    {
        return fCntrno;
    }
    public void setfSealno(String fSealno) 
    {
        this.fSealno = fSealno;
    }

    public String getfSealno() 
    {
        return fSealno;
    }
    public void setfGoodsid(Long fGoodsid) 
    {
        this.fGoodsid = fGoodsid;
    }

    public Long getfGoodsid() 
    {
        return fGoodsid;
    }
    public void setfPackageid(String fPackageid) 
    {
        this.fPackageid = fPackageid;
    }

    public String getfPackageid() 
    {
        return fPackageid;
    }
    public void setfCntrid(Long fCntrid) 
    {
        this.fCntrid = fCntrid;
    }

    public Long getfCntrid() 
    {
        return fCntrid;
    }
    public void setfCntrcount(Long fCntrcount) 
    {
        this.fCntrcount = fCntrcount;
    }

    public Long getfCntrcount() 
    {
        return fCntrcount;
    }
    public void setfCntrweight(BigDecimal fCntrweight)
    {
        this.fCntrweight = fCntrweight;
    }

    public BigDecimal getfCntrweight()
    {
        return fCntrweight;
    }
    public void setfCntrstatus(String fCntrstatus) 
    {
        this.fCntrstatus = fCntrstatus;
    }

    public String getfCntrstatus() 
    {
        return fCntrstatus;
    }
    public void setfSoc(String fSoc) 
    {
        this.fSoc = fSoc;
    }

    public String getfSoc() 
    {
        return fSoc;
    }
    public void setfTemperature(String fTemperature) 
    {
        this.fTemperature = fTemperature;
    }

    public String getfTemperature() 
    {
        return fTemperature;
    }
    public void setfDraught(String fDraught) 
    {
        this.fDraught = fDraught;
    }

    public String getfDraught() 
    {
        return fDraught;
    }
    public void setfHumidity(String fHumidity) 
    {
        this.fHumidity = fHumidity;
    }

    public String getfHumidity() 
    {
        return fHumidity;
    }
    public void setfPrecooling(String fPrecooling) 
    {
        this.fPrecooling = fPrecooling;
    }

    public String getfPrecooling() 
    {
        return fPrecooling;
    }
    public void setfPlantakecntr(Date fPlantakecntr) 
    {
        this.fPlantakecntr = fPlantakecntr;
    }

    public Date getfPlantakecntr() 
    {
        return fPlantakecntr;
    }
    public void setfIfdanger(String fIfdanger) 
    {
        this.fIfdanger = fIfdanger;
    }

    public String getfIfdanger() 
    {
        return fIfdanger;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fCntrno", getfCntrno())
            .append("fSealno", getfSealno())
            .append("fGoodsid", getfGoodsid())
            .append("fPackageid", getfPackageid())
            .append("fCntrid", getfCntrid())
            .append("fCntrcount", getfCntrcount())
            .append("fCntrweight", getfCntrweight())
            .append("fCntrstatus", getfCntrstatus())
            .append("fSoc", getfSoc())
            .append("fTemperature", getfTemperature())
            .append("fDraught", getfDraught())
            .append("fHumidity", getfHumidity())
            .append("fPrecooling", getfPrecooling())
            .append("fPlantakecntr", getfPlantakecntr())
            .append("fIfdanger", getfIfdanger())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
